#!/usr/bin/env python3

import hashlib

# Secret key known only to sender and receiver:
secret_key=b"MegaSuperKey"

def naive_MAC(key, message):
    m=hashlib.sha1()
    m.update(key)
    m.update(message)
    return m.digest()

f=open("packet.bin", "rb")
buf=f.read()
f.close()

MAC_size=20 # SHA1

# Cut off MAC:
MAC_from_file=buf[-MAC_size:]
message=buf[0:len(buf)-MAC_size]

# Check MAC:
if naive_MAC(secret_key, message)==MAC_from_file:
    print ("MAC is correct")
else:
    print ("Error: MAC is NOT correct!")

